Summary:	Commonly used Rutgers utilities
Name:		sos-utils
Version:	1.6
Release:	2
Group:		System Environment/Base
License:	Rutgers
Source:		sos-utils-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-root
Requires: 	perl-Quota >= 1.6.2
Requires:	quota >= 4.00
Requires:	perl

#disable rpmbuild's dependency analysis.
#this is because namchange has the perl keyword 'requires'
# which rpmbuild uses to find some additional dependencies we don't want
AutoReqProv:	no
%description
The sos-utils are fix.hme, hme-status, findg, logrotate-ru, netcheck, and namechange.

%prep
%setup -q -n files
sed -i 's|/usr/local/bin/perl|/usr/bin/perl|' usr/local/sbin/namechange
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
find . -print | cpio -pdm $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc
%defattr(0700,root,other) 
/usr/local/sbin/netcheck
/usr/local/sbin/namechange
%attr(0555,root,bin) /usr/local/sbin/findg
%attr(0755,root,other) /usr/local/sbin/logrotate-ru
%attr(0755,root,other) /usr/local/bin/ruquota

%changelog
* Thu May 05 2011 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 1.6-1
- updated sheband line in ruquota	
* Mon Apr 25 2011 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 1.5-1
- added AutoReqProv: no to disable automatic dependency checking. This was so namechange wouldn't drag in rats as a dependecy
- removed fix.hme and hme-status
* Tue Jan 12 2010 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 1.4
- bumped to version 1.4 
* Thu Mar 26 2009 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 1.3
- added namechange 
- bump to 1.3
* Mon Feb 25 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 1.2
- Added logrotate-ru
- Bumped to 1.2
* Tue Aug 28 2007 David Lee Halik <dhalik@nbcs.rutgers.edu> - 1.1-1
- Added findg
- Bumped to 1.1
